
Foreman - Bug #2429

Signo secrets are forgotten during restart

04/24/2013 10:52 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Authentication   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Filestore should be used.

Associated revisions

Revision 7a85321b - 04/29/2013 07:05 AM - Marek Hulán

fixes #2429 - change OpenID storage to be permanent

Also fallback to form login when Signo fails and log a warning.

Make Signo SSO backend unavailable for API.

History

#1 - 04/29/2013 07:21 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee deleted (Ohad Levy)

https://github.com/theforeman/foreman/pull/549

#2 - 04/29/2013 07:26 AM - Dominic Cleal

- Assignee set to Marek Hulán

#3 - 04/29/2013 02:21 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7a85321b07d05c3a21621c69ef676e07723f4f27.
